commit:     624c30aded157794678c14928c2e2753858952cf
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 19 06:48:48 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Mar 19 07:19:59 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=624c30ad

dev-python/git-review: Bump to 2.4.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/git-review/Manifest                |  1 +
 dev-python/git-review/git-review-2.4.0.ebuild | 41 +++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-python/git-review/Manifest b/dev-python/git-review/Manifest
index ff6d0c0e304c..c69dfde2a9ad 100644
--- a/dev-python/git-review/Manifest
+++ b/dev-python/git-review/Manifest
@@ -1 +1,2 @@
 DIST git-review-2.3.1.tar.gz 66400 BLAKE2B 
67b2bf60e91a127144995231b94a48eaa03cfe8cb8e27513183f21b4cae1fbe2eeaa00a23d21da2dd7258aa794ce4cb0ee06e91510d707116699da1702bbebac
 SHA512 
b3fe0ab40c473c80da20c42b4104e82115c9ea02bda01580aedb69622e117d733160eb42027432eec12379250186ea7b6f9eb4cb86b128a591816243a0c0fadc
+DIST git-review-2.4.0.tar.gz 70859 BLAKE2B 
afe7da3e7efd3c26f55beb102f0961607d818dcdba47beef4f94bf4cbe67bfcdad7cd14bbe6767902f694844ebe94c2b547e9dc4f55f4b0c94e9b292913c3b98
 SHA512 
24b8b4813933a53158eacaff8b336da1e7c948377cd147487cfccab81c7211c55f8aa8348998bfdf161b4bb9ed107aaa841b643d045498690f75fa18be0aae1f

diff --git a/dev-python/git-review/git-review-2.4.0.ebuild 
b/dev-python/git-review/git-review-2.4.0.ebuild
new file mode 100644
index 000000000000..d524a316ec0d
--- /dev/null
+++ b/dev-python/git-review/git-review-2.4.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Tool to submit code to Gerrit"
+HOMEPAGE="https://git.openstack.org/cgit/openstack-infra/git-review";
+if [[ ${PV} == 9999* ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://opendev.org/opendev/${PN}.git";
+else
+       inherit pypi
+       KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+
+BDEPEND="
+       >=dev-python/pbr-4.1.0[${PYTHON_USEDEP}]
+"
+RDEPEND="
+       >=dev-python/requests-1.1[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+       sed -i -e '/manpages/,+1d' setup.cfg || die
+       distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+       doman git-review.1
+
+       distutils-r1_python_install_all
+}

Reply via email to